#include <iostream>
#include <vector>
using namespace std;
int main()
{
	int n, ma=0, mb=0, m=0, a, b;
	cin>>n;
	vector<int> x(n), y(n);

	vector<pair<int,int>> w;
	for(int i=0; i<n; i++) {
		cin>> x[i];
	}
	for(int i=0; i<n; i++) {
		cin>>y[i];
	}
	for(int p=0; p<n; p++) {
		for(int k=p; k<n; k++) {
			w.push_back({p,k});
		}
	}
	for (auto& pair : w) {
		ma=x[pair.first];
        mb=y[pair.first];
		for(int i=pair.first+1; i<pair.second+1; i++) {
			ma = ma ^ x[i];
		}
        for(int i=pair.first+1; i<pair.second+1; i++){
            mb = mb & y[i];
        }
        if (ma * mb > m){
            m = ma * mb;
        }
	}
	cout<<m;
	return 0;
}